### Enumeration

# Gtk FileChooserError

#### Declaration

    error-domain Gtk.FileChooserError

#### Description [src]

These identify the various errors that can occur while calling `GtkFileChooser` functions.

#### Members

Name | Description
--- | ---
`GTK_FILE_CHOOSER_ERROR_NONEXISTENT` | Indicates that a file does not exist.
`GTK_FILE_CHOOSER_ERROR_BAD_FILENAME` | Indicates a malformed filename.
`GTK_FILE_CHOOSER_ERROR_ALREADY_EXISTS` | Indicates a duplicate path (e.g. when adding a bookmark).
`GTK_FILE_CHOOSER_ERROR_INCOMPLETE_HOSTNAME` | Indicates an incomplete hostname (e.g. “http://foo” without a slash after that).

#### Type functions

###### gtk_file_chooser_error_quark

Registers an error quark for `GtkFileChooser` errors.